Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1952348 - Highfive does not build on 32 bit architectures
Summary: Highfive does not build on 32 bit architectures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: highfive
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 F-ExcludeArch-ARM
TreeView+ depends on / blocked
 
Reported: 2021-04-22 06:17 UTC by Ankur Sinha (FranciscoD)
Modified: 2021-09-24 20:10 UTC (History)
3 users (show)

Fixed In Version: highfive-2.3.1-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-24 20:10:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github BlueBrain HighFive issues 443 0 None open Build failure on 32 bit architectures: error: conversion from 'hsize_t' {aka 'long long unsigned int'} to 'size_t' {aka... 2021-04-22 06:17:39 UTC

Description Ankur Sinha (FranciscoD) 2021-04-22 06:17:40 UTC
Description of problem:
Highfive does not currently build on 32 bit architectures, so we have this in the spec at the moment:

ExcludeArch:    %{ix86} %{arm32}


Version-Release number of selected component (if applicable):
2.2.2

Upstream bug: https://github.com/BlueBrain/HighFive/issues/443

Comment 1 Ben Cotton 2021-08-10 12:59:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Fedora Update System 2021-08-27 20:55:07 UTC
FEDORA-2021-c047cc0c7f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c047cc0c7f

Comment 3 Fedora Update System 2021-08-27 21:40:59 UTC
FEDORA-2021-1547d88eb9 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1547d88eb9

Comment 4 Fedora Update System 2021-08-28 18:34:27 UTC
FEDORA-2021-c047cc0c7f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c047cc0c7f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c047cc0c7f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-08-29 01:20:42 UTC
FEDORA-2021-1547d88eb9 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1547d88eb9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1547d88eb9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-09-24 20:10:24 UTC
FEDORA-2021-c047cc0c7f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.